Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.annotations.common.reflection
Interface XMember

All Superinterfaces:
  XAnnotatedElement

All Known Subinterfaces:
  XMethod, XProperty

All Known Implementing Classes:
  JavaXMember, JavaXMethod

    public interface XMember

extends XAnnotatedElement

Author:
  Emmanuel Bernard

Method Summary
`XClass` | `getClassOrElementClass()` The type of this property's elements for arrays, the type of the property itself for everything else.
`Class<? extends Collection>` | `getCollectionClass()` The collection class for collections, null for others.
`XClass` | `getElementClass()` This property's type for simple properties, the type of its elements for arrays and collections.
`XClass` | `getMapKey()` The type of this map's key, or null for anything that is not a map.
`int` | `getModifiers()` Same modifiers as java.lang.Member#getModifiers()
`String` | `getName()`
`XClass` | `getType()` This property's XClass.
`Object` | `invoke(Object target, Object... parameters)`
`boolean` | `isArray()`
`boolean` | `isCollection()`
`boolean` | `isTypeResolved()`
`void` | `setAccessible(boolean accessible)`

Methods inherited from interface org.hibernate.annotations.common.reflection.XAnnotatedElement
`equals, getAnnotation, getAnnotations, isAnnotationPresent`

Method Detail

### getName

    String getName()

### isCollection

    boolean isCollection()

### isArray

    boolean isArray()

### getCollectionClass

    Class<? extends Collection> getCollectionClass()

  The collection class for collections, null for others.

### getType

    XClass getType()

  This property's XClass.

### getElementClass

    XClass getElementClass()

  This property's type for simple properties, the type of its elements for arrays and collections.

### getClassOrElementClass

    XClass getClassOrElementClass()

  The type of this property's elements for arrays, the type of the property itself for everything else.

### getMapKey

    XClass getMapKey()

  The type of this map's key, or null for anything that is not a map.

### getModifiers

    int getModifiers()

  Same modifiers as java.lang.Member#getModifiers()

### setAccessible

    void setAccessible(boolean accessible)

### invoke

    Object invoke(Object target,
                  Object... parameters)

### isTypeResolved

    boolean isTypeResolved()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD